using Catel.IoC;
using CatelSample.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace CatelSample.Views
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Catel.Windows.Window
    {
        private IContext Context;

        public MainWindow()
        {
            InitializeComponent();

            IContext Context = this.GetServiceLocator().ResolveType<IContext>();

            if (Context.TabService != null)
            {
                Context.TabService.SetTabControl(TDIControl);
            }
        }

        protected override void OnViewModelChanged()
        {
            base.OnViewModelChanged();

            MainViewModel viewModel = this.DataContext as MainViewModel;

            if (viewModel != null)
            {
                Context = viewModel.Context;
            }
        }
    }
}
